﻿#language: ru

Функционал: Инвентаризация на складе материалов для упаковки после солилки

Сценарий: Инвентаризация на складе материалов для упаковки после солилки
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Производство' 'Инвентаризация'
	Тогда открылось окно 'Инвентаризация'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Инвентаризация (создание)'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Инвентаризация (создание) *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыКомандаТоварыЗаполнитьПоУчету'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура' |
		| 'Пакет 2' |
	И в таблице "Товары" в поле 'Количество факт' я ввожу текст '1 000,000'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура' |
		| 'Пакет ' |
	И в таблице "Товары" в поле 'Количество факт' я ввожу текст '700,000'
	И я нажимаю на кнопку 'Провести'
	И я нажимаю на кнопку 'Оприходование товаров'
	Тогда открылось окно 'Оприходование товаров (создание) *'
	И я перехожу к закладке "Товары"
	Тогда в таблице "Товары" количество строк "равно" 2
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Оприходование товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация *'
	И я нажимаю на кнопку 'Списание товаров'
	Тогда открылось окно 'Списание товаров (создание) *'
	Тогда в таблице "Товары" количество строк "равно" 0
	И я закрываю окно "Списание товаров*"
	Тогда открылось окно "1С:Предприятие"
	И я нажимаю на кнопку "Нет"
	Тогда открылось окно 'Инвентаризация*'
	И я перехожу к закладке "Основное"
	И я нажимаю на кнопку 'Инвентаризационная опись'
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно 'Инвентаризация*'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Инвентаризация *' в течение 20 секунд
	Тогда открылось окно 'Инвентаризация'
	И Я закрываю окно 'Инвентаризация'